Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 759172

Summary: gnome-base/librsvg-2.48.9: configure: error: gdk-pixbuf-query-loaders not found in path
Product: Gentoo Linux Reporter: Aisha Tammy <gentoo>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: CONFIRMED ---    
Severity: normal CC: herrtimson
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/20727
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 627914    
Attachments: x86_64-multilib-linux-gnu-emerge --info
build.log

Description Aisha Tammy 2020-12-09 02:48:31 UTC
Created attachment 677374 [details]
x86_64-multilib-linux-gnu-emerge --info

need BDEPEND on x11-libs/gdk-pixbuf
Comment 1 Aisha Tammy 2020-12-09 02:49:15 UTC
Created attachment 677380 [details]
build.log
Comment 2 David Michael 2020-12-09 03:49:42 UTC
This is caused by using the crossdev emerge wrapper on an EAPI 6 package.  (It won't install a CBUILD version of the gdk-pixbuf in DEPEND due to adding --root-deps=rdeps.)  So bug #753764 is needed, but it is being blocked by bug #723112.
Comment 3 David Michael 2020-12-19 16:02:22 UTC
This was fixed for librsvg-2.40 (but that version should not be used on platforms where Rust is available).

https://github.com/gentoo/gentoo/commit/0b1cbe7008e00ce004e67ab455ff52902c614934
Comment 4 Aisha Tammy 2020-12-19 21:44:21 UTC
wwwooo!!!
gnome finally moving to EAPI 7 and might almost be cross-buildable... almost...
Comment 5 Aisha Tammy 2020-12-19 21:45:17 UTC
fixed as mentioned in https://bugs.gentoo.org/759172#c3
Comment 6 Matt Turner gentoo-dev 2020-12-19 22:36:52 UTC
(In reply to Aisha Tammy from comment #4)
> wwwooo!!!
> gnome finally moving to EAPI 7 and might almost be cross-buildable...
> almost...

Please don't do this.

(In reply to Aisha Tammy from comment #5)
> fixed as mentioned in https://bugs.gentoo.org/759172#c3

No, this was only fixed for 2.40, right?
Comment 7 Aisha Tammy 2020-12-20 14:44:10 UTC
(In reply to Matt Turner from comment #6)
> (In reply to Aisha Tammy from comment #4)
> > wwwooo!!!
> > gnome finally moving to EAPI 7 and might almost be cross-buildable...
> > almost...
> 
> Please don't do this.

Apologies, I didn't realize my above statement was inappropriate.


> 
> (In reply to Aisha Tammy from comment #5)
> > fixed as mentioned in https://bugs.gentoo.org/759172#c3
> 
> No, this was only fixed for 2.40, right?

You are correct! I should have looked in more detail :( 
I implicitly (and wrongly) assumed 2.40 being shifted meant others were as well, sorry about this too.
Comment 8 Larry the Git Cow gentoo-dev 2021-04-18 15:27:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f12a2409995a84ec4503772588d6643fdeae6055

commit f12a2409995a84ec4503772588d6643fdeae6055
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-04-18 15:22:57 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-04-18 15:27:19 +0000

    gnome-base/librsvg: Port to EAPI=7
    
    * Remove *.la files (bug #776343)
    * BDEPEND on x11-libs/gdk-pixbuf (bug #759172)
    
    Closes: https://bugs.gentoo.org/753764
    Closes: https://bugs.gentoo.org/759172
    Closes: https://bugs.gentoo.org/776343
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-base/librsvg/librsvg-2.50.4.ebuild | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)
Comment 9 Larry the Git Cow gentoo-dev 2021-04-18 17:29:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1e55a30fdc287e4a3539fbdbbe9811894a0d5a7

commit a1e55a30fdc287e4a3539fbdbbe9811894a0d5a7
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-04-18 16:44:40 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-04-18 17:29:51 +0000

    gnome-base/librsvg: Revert to EAPI=6
    
    dm0 tells me that in EAPI=7 that cross compiling with rust is broken.
    
    Bug: https://bugs.gentoo.org/753764
    Bug: https://bugs.gentoo.org/759172
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-base/librsvg/librsvg-2.50.4.ebuild | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)
Comment 10 Matt Turner gentoo-dev 2021-04-18 17:31:29 UTC
I had to revert this, but I've made a note in bug 753764 to add gdk-pixbuf to BDEPEND when we port to EAPI=7.